/*https://codepen.io/finnhvman/pen/bxXPqN*/
.pureMaterialTextfieldFilled {
  position: relative;
  display: inline-block;
  font-size: 16px;
  line-height: 1.5;
  overflow: hidden;
  width: 100%;
}

/* Input, Textarea */
.pureMaterialTextfieldFilled > input,
.pureMaterialTextfieldFilled > textarea {
  display: block;
  box-sizing: border-box;
  margin: 0;
  border: none;
  border-top: solid 27px transparent;
  border-bottom: solid 1px rgba(var(--onSurface), 0.6);
  border-radius: 4px 4px 0 0;
  padding: 0 12px 10px;
  width: 100%;
  height: inherit;
  color: rgba(var(--onSurface), 0.87);

  box-shadow: none; /* Firefox */
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  caret-color: rgb(var(--primary));
  transition: border-bottom 0.2s, background-color 0.2s;
}

/* Span */
.pureMaterialTextfieldFilled > input + span,
.pureMaterialTextfieldFilled > textarea + span {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: block;
  box-sizing: border-box;
  padding: 7px 12px 0;
  color: rgba(var(--onSurface), 0.6);
  font-size: 75%;
  line-height: 18px;
  pointer-events: none;
  transition: color 0.2s, font-size 0.2s, line-height 0.2s;
}

/* Underline */
.pureMaterialTextfieldFilled > input + span::after,
.pureMaterialTextfieldFilled > textarea + span::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  display: block;
  width: 100%;
  height: 2px;
  background-color: rgb(var(--primary));
  transform-origin: bottom center;
  transform: scaleX(0);
  transition: transform 0.3s;
}

/* Hover */
/*.pureMaterialTextfieldFilled > input:hover,*/
/*.pureMaterialTextfieldFilled > textarea:hover {*/
/*  border-bottom-color: rgba(var(--onSurface), 0.87);*/
/*  background-color: rgba(var(--onSurface), 0.08);*/
/*}*/

/* Placeholder-shown */
.pureMaterialTextfieldFilled > input:not(:focus):placeholder-shown + span,
.pureMaterialTextfieldFilled > textarea:not(:focus):placeholder-shown + span {
  font-size: inherit;
  line-height: 48px;
}

/* Focus */
.pureMaterialTextfieldFilled > input:focus,
.pureMaterialTextfieldFilled > textarea:focus {
  outline: none;
}

.pureMaterialTextfieldFilled > input:focus + span,
.pureMaterialTextfieldFilled > textarea:focus + span {
  color: rgb(var(--primary));
}

.pureMaterialTextfieldFilled > input:focus + span::before,
.pureMaterialTextfieldFilled > textarea:focus + span::before {
  opacity: 0.12;
}

.pureMaterialTextfieldFilled > input:focus + span::after,
.pureMaterialTextfieldFilled > textarea:focus + span::after {
  transform: scale(1);
}

/* Disabled */
.pureMaterialTextfieldFilled > input:disabled,
.pureMaterialTextfieldFilled > textarea:disabled {
  border-bottom-color: rgba(var(--onSurface), 0.38);
  color: rgba(var(--onSurface), 0.38);
  background-color: rgba(var(--onSurface), 0.24);
}

.pureMaterialTextfieldFilled > input:disabled + span,
.pureMaterialTextfieldFilled > textarea:disabled + span {
  color: rgba(var(--onSurface), 0.38);
}

/* Faster transition in Safari for less noticable fractional font-size issue */
@media not all and (min-resolution: 0.001dpcm) {
  @supports (-webkit-appearance: none) {
    .pureMaterialTextfieldFilled > input,
    .pureMaterialTextfieldFilled > input + span,
    .pureMaterialTextfieldFilled > input + span::after,
    .pureMaterialTextfieldFilled > textarea,
    .pureMaterialTextfieldFilled > textarea + span,
    .pureMaterialTextfieldFilled > textarea + span::after {
      transition-duration: 0.1s;
    }
  }
}
